Name:           valijson
Version:        1.0.5
Release:        %mkrel 1
Summary:        Header-only C++ library for JSON Schema validation
License:        BSD-2-Clause
Group:          Development/C++
URL:            https://github.com/tristanpenman/valijson
Source:         https://github.com/tristanpenman/valijson/archive/v%{version}/%{name}-%{version}.tar.gz
# Header-only pkgs
BuildArch:      noarch
BuildRequires:  pkgconfig
BuildRequires:  cmake

%description
Valijson is a header-only JSON Schema validation library for C++11.

Valijson provides a simple validation API that allows you to load JSON Schemas,
and validate documents loaded by one of several supported parser libraries.

%package devel
Summary:        Development headers for valijson
Group:          Development/C++

%description devel
This package provides development headers for valijson, a JSON Schema
validation library for C++11.

%prep
%autosetup -p1

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE
%doc README.md
%{_includedir}/valijson/
%dir %{_includedir}/compat/
%{_includedir}/compat/optional.hpp
%{_datadir}/cmake/valijson/


%changelog
* Sat Apr 12 2025 daviddavid <daviddavid> 1.0.5-1.mga10
+ Revision: 2175000
- new version: 1.0.5

* Fri Mar 14 2025 daviddavid <daviddavid> 1.0.4-1.mga10
+ Revision: 2163978
- new version: 1.0.4

* Sat Sep 14 2024 daviddavid <daviddavid> 1.0.3-1.mga10
+ Revision: 2096223
- initial package valijson (needed for brewtarget)

